Subject: categories: Complete atomic Boolean algebra: Reference?

From: Oswald Wyler <[email-masked]>
Date: Sun, 4 Feb 2001 15:25:01 -0500 (EST)

Every reader of this post probably knows that the algebras for the monad
on sets induced by the self-adjoint contravariant powerset functor are
the complete atomic Boolean algebras, with maps preserving all infima
and all suprema as morphisms.  I know how to prove this without much
trouble, but I have not been able to find a proof of this fact, or even
a good reference to such a proof, in the literature available to me
at my present location (which is essentially what I have at home).
If you know such a reference, please e-mail it to me at [email-masked].
Related question.  The functor on sets which assigns to every set X the
set of increasing subsets of PX is the functor part of a monad, with
completely distributive complete lattices as algebras.  Again, I have
a proof but no references.